<?php defined( 'ABSPATH' ) || exit; ?>
<div class="wrap">
    <h1>Settings</h1>
    <?php settings_errors(); ?>
    <hr>
    <form action="options.php" method="post">
        <?php settings_fields( 'tochatbe-basic-settings' ); ?>
        <table class="form-table">
            <tbody>
                <tr>
                    <th scope="row">
                        <label for="">Location</label>
                    </th>
                    <td>
                        <select name="tochatbe_basic_settings[location]">
                            <option value="br" <?php selected( 'br', tochatbe_basic_option( 'location' ), true ); ?>>Bottom Right</option>
                            <option value="bl" <?php selected( 'bl', tochatbe_basic_option( 'location' ), true ); ?>>Bottom Left</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="">Display On Mobile</label>
                    </th>
                    <td>
                        <input type="checkbox" name="tochatbe_basic_settings[on_mobile]" <?php checked( 'yes', tochatbe_basic_option( 'on_mobile' ), true); ?>> Enable/ Disable
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="">Display On Desktop</label>
                    </th>
                    <td>
                        <input type="checkbox" name="tochatbe_basic_settings[on_desktop]" <?php checked( 'yes', tochatbe_basic_option( 'on_desktop' ), true); ?>> Enable/ Disable
                    </td>
                </tr>
            </tbody>
        </table>
        <hr>
        <table class="form-table">
            <tbody>
                <tr>
                    <th scope="row">
                        <label for="">Auto Popup</label>
                    </th>
                    <td>
                        <input type="checkbox" name="tochatbe_basic_settings[auto_popup_status]" <?php checked( 'yes', tochatbe_basic_option( 'auto_popup_status' ), true); ?>> Enable/ Disable
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="">Auto Popup Delay</label>
                    </th>
                    <td>
                        <input type="number" name="tochatbe_basic_settings[auto_popup_delay]" class="small-text" value="<?php echo intval( tochatbe_basic_option( 'auto_popup_delay' ) ); ?>" step="1" min="0">
                    </td>
                </tr>
            </tbody>
        </table>
        <hr>
        <table class="form-table">
            <tbody>
                <tr>
                    <th scope="row">
                        <label for="">Custom CSS</label>
                    </th>
                    <td>
                        <textarea name="tochatbe_basic_settings[custom_css]" class="regular-text" style="height: 120px;"><?php echo wp_kses_post( tochatbe_basic_option( 'custom_css' ) ); ?></textarea>
                    </td>
                </tr>
            </tbody>
        </table>
        <?php submit_button(); ?>
    </form>
</div>

<?php require_once TOCHATBE_PLUGIN_PATH . 'includes/admin/views/notifications/html-purchase-premium.php'; ?>