<?php
defined( 'ABSPATH' ) || exit;

function tochatbe_get_option( $option, $section, $default = '' ) {
    $options = get_option( $section );

    if ( isset( $options[$option] ) ) {
        return $options[$option];
    }

    return $default;
}

function tochatbe_appearance_option( $option, $default = '' ) {
    return tochatbe_get_option( $option, 'tochatbe_appearance_settings', $default );
}

function tochatbe_basic_option( $option, $default = '' ) {
    return tochatbe_get_option( $option, 'tochatbe_basic_settings', $default );
}

function tochatbe_gdpr_option( $option, $default = '' ) {
    return tochatbe_get_option( $option, 'tochatbe_gdpr_settings', $default );
}

function tochatbe_gdpr_check() {
    $policy_page_id     = tochatbe_gdpr_option( 'privacy_page' );
    $policy_page_title  = get_the_title( $policy_page_id );
    $policy_page_url    = get_the_permalink( $policy_page_id );
    $message            = str_replace( 
        '{policy_page}', 
        sprintf( '<a href="%s" target="_blank">%s</a>', esc_url( $policy_page_url ), esc_html( $policy_page_title ) ), 
        esc_textarea( tochatbe_gdpr_option( 'message' ) ) 
    );

    if ( 'yes' === tochatbe_gdpr_option( 'status' ) ) {
        ?>
            <div class="tochatbe-gdpr">
                <label for="tochatbe-gdpr-checkbox">
                    <input type="checkbox" id="tochatbe-gdpr-checkbox"> <?php echo $message //WPCS: XSS ok. ?>
                </label>
            </div>
        <?php
    }
}