<?php defined( 'ABSPATH' ) || exit; ?>
<div class="tochatbe-widget">

    <div class="tochatbe-widget__body" data-tochatbe-popup-status="0">
        <div class="tochatbe-widget__body-header">
            <i class="tochatbe-icon-close tochatbe-widget-close" data-tochatbe-trigger></i>
            <?php echo esc_textarea( tochatbe_appearance_option( 'about_message' ) ); ?>
        </div>
        <?php tochatbe_gdpr_check(); ?>
        <div class="tochatbe-support-persons">
            <?php if ( tochatbe_get_agents() ) : ?>
                <?php foreach ( tochatbe_get_agents() as $agent ) : ?>
                    <div class="tochatbe-support-person" data-tochatbe-person data-tochatbe-number="<?php echo esc_attr( $agent->get_number() ); ?>" data-tochatbe-message="<?php echo esc_attr( $agent->get_pre_defined_message() ); ?>">
                        <div class="tochatbe-support-person__img">
                            <img src="<?php echo esc_url( $agent->get_image() ); ?>" alt="//">
                            <!-- <div class="tochatbe-support-person__status tochatbe-support-person__status--avail"></div> -->
                        </div>
                        <div class="tochatbe-support-person__meta">
                            <div class="tochatbe-support-person__name"><?php echo esc_html( $agent->get_name() ); ?></div>
                            <div class="tochatbe-support-person__title"><?php echo esc_html( $agent->get_title() ); ?></div>
                        </div>
                    </div>                
                <?php endforeach; ?>
                <?php else : ?>
                    <?php
                        if ( current_user_can( 'manage_options' ) ) {
                            echo sprintf( 'Click <a href="%s">here</a> to add new agent.', admin_url( 'post-new.php?post_type=tochatbe_agent' ) );
                        }
                    ?>
            <?php endif; ?>
        </div>
    </div>

    <div class="tochatbe-widget__trigger" data-tochatbe-trigger>
        <i class="tochatbe-icon-whatsapp"></i> <?php echo esc_html( tochatbe_appearance_option( 'trigger_btn_text' ) ); ?>
    </div>

</div>